Page MenuHomePhabricator

language code change for Samogitian: "bat-smg" to "sgs"
Open, Stalled, LowestPublic

Description

Please change language code for Samogitian Wikipedia from current "bat-smg" to "sgs" as the new code for Samogitian language was created http://www.sil.org/iso639-3/documentation.asp?id=sgs .

Thank you!


Version: unspecified
Severity: enhancement
URL: http://bat-smg.wikipedia.org/wiki/
See Also:
T48732

In 2021:

Details

Reference
bz25522

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedadrianheine
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedTTO
InvalidNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenFeatureNone
OpenBUG REPORTNone
OpenNone
DuplicateNone
StalledNone
OpenNone
OpenNone
OpenNone
DeclinedNone
OpenNone
DeclinedNone
DeclinedNone
OpenNone
OpenNone
ResolvedNone
ResolvedLadsgroup
OpenNone
OpenNone

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:19 PM
bzimport set Reference to bz25522.
bzimport added a subscriber: Unknown Object (MLST).

Names.php need to be updated too.

(In reply to comment #1)

Names.php need to be updated too.

Was updated in r74771.

  • Bug 25568 has been marked as a duplicate of this bug. ***

Completed from MediaWiki POV in r75244, r75241 and r75240. Wikimedia could make changes now if it wanted to, but history tells us projects will/can not be renamed.

zordsdavini wrote:

what should be done to make this fix in production? This "bat-smg" blocks spread of new code "sgs".

The best way it would be to rename project to sgs.wikipedia.org and still have redirect from bat-smg.wikipedia.org

If there is very big problem to rename. Please add alias redirect temporary from sgs.wikipedia.org to bat-smg.wikipedia.org . Because we waiting for a long time and we lose readers who looks for sgs.wikipedia.org

There should definitely be redirects, yes.

hashar lowered the priority of this task from Medium to Lowest.Sep 14 2016, 10:12 AM

Any progress here? It's been 6 years now and there are examples (be-x-old moved, jpwiki redirected) which show that this here is a resolvable task.

be-tarask was indeed moved, but it uncovered a Wikidata issue, which must be resolved before further changes: T112426.

Any progress here? It's been 6 years now and there are examples (be-x-old moved, jpwiki redirected) which show that this here is a resolvable task.

Also please note that T10217 will be its 10th anniversary at Dec 11 2016, and that's why someone touched *the priority field*.

be-tarask was indeed moved, but it uncovered a Wikidata issue, which must be resolved before further changes: T112426.

Okay, this does make sense. But what does speak against a creation of redirects (as a temporary solution until everything has been sorted out wrt moving)? Are there any blockers? I suppose it's not a matter of days until a move is indeed becoming realistic.

It would be better to have redirect at first: bat-smg → sgs as many people know old domain

It would be better to have redirect at first: bat-smg → sgs as many people know old domain

Well, after the domain is fully moved to sgs, a redirect must definitely remain forever.

I think that what @Vogone is asking about is creating a redirect from sgs to bat-smg until a full move is possible.

This is probably doable, but it's really a question to people who understand how Wikimedia servers work better than I do.

Redirect sgs → bat-smg is not needed, because bat-smg was temporary decision until we got normal ISO code

Redirect sgs → bat-smg is not needed, because bat-smg was temporary decision until we got normal ISO code

But this means that DNS settings about sgs will be later, isn't that?

Redirect sgs → bat-smg is not needed, because bat-smg was temporary decision until we got normal ISO code

So would this redirect be temporary until we find someone to work on the actual move. ;-)

What does it mean by "actual move"? Should Samogitians do something on translations or this is just technical task? The result should be Samogitian wikipedia on sgs.wikipedia.org domain with added redirect from bat-smg.wikipedia.org . So, what choices do we have?

Just a technical task, I suppose. But it still requires some time to complete, because there is still an issue with Wikidata as outlined in a comment above:

be-tarask was indeed moved, but it uncovered a Wikidata issue, which must be resolved before further changes: T112426.

I don't think there is anything the community can do, it's just a matter of time and developers willing to invest their efforts into this task.

​we are patient. Thank's for help​

Krinkle changed the task status from Open to Stalled.Apr 30 2017, 3:42 AM
Krinkle added a subscriber: Krinkle.

Stalled per T112426.

Esc3300 updated the task description. (Show Details)
Esc3300 updated the task description. (Show Details)

@hashar can you explain why you set priority for this to lowest ?

@Aklapper shouldn't we re-triage this?

it is nice to see some actions on this ticket but it would be better to see the progress and not the regress :)

@Zordsdavini I did list some of the progress above (see the description). I see @Hugo.arg is still active as well.

Given the problems the coordination of this rename seems to pose to WMF, maybe you should request further sub-tasks to be completed 1-by-1.

The advantage of doing it for this Wikipedia, is that its size relatively manageable and resolving possible issues shouldn't be too complex and risky. Doing that may help gain insight for other renames that are still "in progress".

@Esc3300 This is lowest priority (and stalled) because other things have to happen first and this task is not actionable. See the dependency graph.

@Esc3300 if I could understand how it could be subtasked to help you. If there is something what should be done in our side - just say and we will solve it.

@Aklapper I guess that makes sense on some level.

Maybe I should take time to go through the dependencies, but OTH this task might gain by being assigned directly to a WMF member of staff who coordinates double-checking, completing and resolving applicable subtasks.

Such coordination would be fairly high priority even if each subtask might just have medium or low priorty.

The outcome for the WMF staffer would be double:

  • A correctly and fully renamed wiki
  • Identification of steps to streamline the rename of other wikis.

Is there are way to see how this was prioritized each quarter (or year) over the past decade?

An alternate way to implement this could be to create a new wiki and import the database there.

Given the level of activity of the wiki, a day or two in readonly shouldn't be an issue.

@Esc3300: Please see the history of this task and for context the link that I provided. Please also note that every single comment added creates notifications that someone has to read. Thanks for being considerate.